<?php

function getParent ()
{

	$parent = get_option ( 'mdp_type' );
	$array  = array (
		'AutoBodyShop:AutomotiveBusiness' ,
		'AutoDealer:AutomotiveBusiness' ,
		'AutoPartsStore:AutomotiveBusiness' ,
		'AutoRental:AutomotiveBusiness' ,
		'AutoRepair:AutomotiveBusiness' ,
		'AutoWash:AutomotiveBusiness' ,
		'GasStation:AutomotiveBusiness' ,
		'MotorcycleDealer:AutomotiveBusiness' ,
		'MotorcycleRepair:AutomotiveBusiness' ,
		'FireStation:EmergencyService' ,
		'Hospital:EmergencyService' ,
		'PoliceStation:EmergencyService' ,
		'AdultEntertainment:EntertainmentBusiness' ,
		'AmusementPark:EntertainmentBusiness' ,
		'ArtGallery:EntertainmentBusiness' ,
		'Casino:EntertainmentBusiness' ,
		'ComedyClub:EntertainmentBusiness' ,
		'MovieTheater:EntertainmentBusiness' ,
		'NightClub:EntertainmentBusiness' ,
		'FinancialService:FinancialService' ,
		'AccountingService:FinancialService' ,
		'AutomatedTeller:FinancialService' ,
		'BankOrCreditUnion:FinancialService' ,
		'InsuranceAgency:FinancialService' ,
		'FoodEstablishment:FoodEstablishment' ,
		'Bakery:FoodEstablishment' ,
		'BarOrPub:FoodEstablishment' ,
		'Brewery:FoodEstablishment' ,
		'CafeOrCoffeeShop:FoodEstablishment' ,
		'FastFoodRestaurant:FoodEstablishment' ,
		'IceCreamShop:FoodEstablishment' ,
		'Restaurant:FoodEstablishment' ,
		'Winery:FoodEstablishment' ,
		'PostOffice:GovernmentOffice' ,
		'BeautySalon:HealthAndBeautyBusiness' ,
		'DaySpa:HealthAndBeautyBusiness' ,
		'HairSalon:HealthAndBeautyBusiness' ,
		'HealthClub:HealthAndBeautyBusiness' ,
		'NailSalon:HealthAndBeautyBusiness' ,
		'TattooParlor:HealthAndBeautyBusiness' ,
		'Electrician:HomeAndConstructionBusiness' ,
		'GeneralContractor:HomeAndConstructionBusiness' ,
		'HVACBusiness:HomeAndConstructionBusiness' ,
		'HousePainter:HomeAndConstructionBusiness' ,
		'Locksmith:HomeAndConstructionBusiness' ,
		'MovingCompany:HomeAndConstructionBusiness' ,
		'Plumber:HomeAndConstructionBusiness' ,
		'RoofingContractor:HomeAndConstructionBusiness' ,
		'BedAndBreakfast:LodgingBusiness' ,
		'Hostel:LodgingBusiness' ,
		'Hotel:LodgingBusiness' ,
		'Motel:LodgingBusiness' ,
		'Dentist:MedicalOrganization' ,
		'DiagnosticLab:MedicalOrganization' ,
		'Hospital:MedicalOrganization' ,
		'MedicalClinic:MedicalOrganization' ,
		'Optician:MedicalOrganization' ,
		'Pharmacy:MedicalOrganization' ,
		'Physician:MedicalOrganization' ,
		'VeterinaryCare:MedicalOrganization' ,
		'AccountingService:ProfessionalService' ,
		'Attorney:ProfessionalService' ,
		'Dentist:ProfessionalService' ,
		'Electrician:ProfessionalService' ,
		'GeneralContractor:ProfessionalService' ,
		'HousePainter:ProfessionalService' ,
		'Locksmith:ProfessionalService' ,
		'Notary:ProfessionalService' ,
		'Plumber:ProfessionalService' ,
		'RoofingContractor:ProfessionalService' ,
		'BowlingAlley:SportsActivityLocation' ,
		'ExerciseGym:SportsActivityLocation' ,
		'GolfCourse:SportsActivityLocation' ,
		'HealthClub:SportsActivityLocation' ,
		'PublicSwimmingPool:SportsActivityLocation' ,
		'SkiResort:SportsActivityLocation' ,
		'SportsClub:SportsActivityLocation' ,
		'StadiumOrArena:SportsActivityLocation' ,
		'TennisComplex:SportsActivityLocation' ,
		'AutoPartsStore:Store' ,
		'BikeStore:Store' ,
		'BookStore:Store' ,
		'ClothingStore:Store' ,
		'ComputerStore:Store' ,
		'ConvenienceStore:Store' ,
		'DepartmentStore:Store' ,
		'ElectronicsStore:Store' ,
		'Florist:Store' ,
		'FurnitureStore:Store' ,
		'GardenStore:Store' ,
		'GroceryStore:Store' ,
		'HardwareStore:Store' ,
		'HobbyShop:Store' ,
		'HomeGoodsStore:Store' ,
		'JewelryStore:Store' ,
		'LiquorStore:Store' ,
		'MensClothingStore:Store' ,
		'MobilePhoneStore:Store' ,
		'MovieRentalStore:Store' ,
		'MusicStore:Store' ,
		'OfficeEquipmentStore:Store' ,
		'OutletStore:Store' ,
		'PawnShop:Store' ,
		'PetStore:Store' ,
		'ShoeStore:Store' ,
		'SportingGoodsStore:Store' ,
		'TireShop:Store' ,
		'ToyStore:Store' ,
		'WholesaleStore:Store'
	);

	foreach ( $array as $var ) {

		$val = explode ( ':' , $var );

		switch ( $val[ 0 ] ) {

			case $parent:
				$set = $val[ 1 ];
				break;
		}

	}

	if ( $set ) {
		return $set;
	} else {
		return false;
	}

}

function LocalBusiness ()
{

	$mdp_info = '<!--begin microdata project plugin-->';


	$mdp_info .= '<span itemscope itemtype="http://schema.org/LocalBusiness">';

	if ( getParent () ) {
		$mdp_info .= '<span itemscope itemtype="http://schema.org/' . getParent () . '">';
	}

	if ( get_option ( 'mdp_type' ) ) {
		$mdp_info .= '<span itemscope itemtype="http://schema.org/' . get_option ( 'mdp_type' ) . '">';
	}

	/* name of business and url */
	if ( get_option ( 'mdp_name' ) ) {

		if ( get_option ( 'mdp_url' ) ) {
			$mdp_info .= '<a itemprop="url" href="' . get_option ( 'mdp_url' ) . '" class="visuallyhidden"><span itemprop="name">' . get_option ( 'mdp_name' ) . '</span></a>';
		} else {
			$mdp_info .= '<a itemprop="url" href="' . get_bloginfo ( 'url' ) . '" class="visuallyhidden"><span itemprop="name">' . get_option ( 'mdp_name' ) . '</span></a>';
		}

	} else {
		if ( get_option ( 'mdp_url' ) ) {
			$mdp_info .= '<a itemprop="url" href="' . get_option ( 'mdp_url' ) . '" class="visuallyhidden"><span itemprop="name">' . get_bloginfo ( 'name' ) . '</span></a>';
		} else {
			$mdp_info .= '<a itemprop="url" href="' . get_bloginfo ( 'url' ) . '" class="visuallyhidden"><span itemprop="name">' . get_bloginfo ( 'name' ) . '</span></a>';
		}
	}

	/* description of business */
	if ( get_option ( 'mdp_description' ) ) {
		$mdp_info .= '<meta itemprop="description" content="' . get_option ( 'mdp_description' ) . '" />';
	} else {
		$mdp_info .= '<meta itemprop="description" content="' . get_bloginfo ( 'description' ) . '" />';
	}

	/* logo of business */
	if ( get_option ( 'mdp_image' ) ) {
		$mdp_info .= '<meta itemprop="image" content="' . get_option ( 'mdp_image' ) . '" />';
	}

	/* wiki page or other site of business association */
	if ( get_option ( 'mdp_sameas' ) ) {
		$mdp_info .= '<meta itemprop="sameAs" content="' . get_option ( 'mdp_sameas' ) . '" />';
	}

	$mdp_info .= '<span itemscope itemtype="http://schema.org/Place">';
	/* physical address */
	$mdp_info .= PostalAddress ();

	/* geo location */
	if ( ( get_option ( 'mdp_latitude' ) ) && ( get_option ( 'mdp_longitude' ) ) ) {

		$mdp_info .= geoLocation ();

	}

	/* rating of business*/
	$mdp_info .= AggregateRating ();

	$mdp_info .= '</span>';
	/* type of payments visa, master card, check, cash */
	if ( get_option ( 'mdp_payment_accepted' ) ) {
		$mdp_info .= '<meta itemprop="paymentAccepted" content="' . get_option ( 'mdp_payment_accepted' ) . '" />';
	}

	/* price range of items*/
	if ( get_option ( 'mdp_price_range' ) ) {
		$mdp_info .= '<meta itemprop="priceRange" content="' . get_option ( 'mdp_price_range' ) . '" />';
	}


	/* opening hours of business */
	if ( ( get_option ( 'mdp_dow' ) ) && ( get_option ( 'mdp_open' ) ) && ( get_option ( 'mdp_close' ) ) ) {

		$mdp_info .= '<meta itemprop="openingHours" content="' . get_option ( 'mdp_dow' ) . ' ' . get_option ( 'mdp_open' ) . '-' . get_option ( 'mdp_close' ) . '" />';

	}

	/* employees */
	if ( get_option ( 'mdp_employee_role' ) ) {

		$mdp_info .= getEmployee ();
	}

	/* employees */
	if ( get_option ( 'mdp_founder_role' ) ) {

		$mdp_info .= getFounder ();
	}

	/* member of Microdata Project */
	if ( ( get_option ( 'mdp_member' ) ) || ( ( get_option ( 'mdp_member_url' ) ) && ( get_option ( 'mdp_member_name' ) ) ) ) {
		$mdp_info .= member ();
	}

	/* seeks SEO */
	if ( ( get_option ( 'mdp_seeks' ) ) || ( ( get_option ( 'mdp_seeks_url' ) ) && ( get_option ( 'mdp_seeks_name' ) ) ) ) {
		$mdp_info .= seeks ();
	}

	$mdp_info .= '</span>';

	if ( getParent () ) {
		$mdp_info .= '</span>';
	}

	if ( get_option ( 'mdp_type' ) ) {
		$mdp_info .= '</span>';
	}

	$mdp_info .= '<!--end microdata project plugin-->';

	echo $mdp_info;

}


function PostalAddress ()
{

	$error    = 0;
	$mdp_info = "";

	$mdp_info .= '<span itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">';

	/* street address */
	if ( get_option ( 'mdp_street_address' ) ) {
		$mdp_info .= '<meta itemprop="streetAddress" content="' . get_option ( 'mdp_street_address' ) . '" />';
	}

	/* city */
	if ( get_option ( 'mdp_address_locality' ) ) {
		$mdp_info .= '<meta itemprop="addressLocality" content="' . get_option ( 'mdp_address_locality' ) . '" />';
	} else {
		$error = 1;
	}

	/* state */
	if ( get_option ( 'mdp_address_region' ) ) {
		$mdp_info .= '<meta itemprop="addressRegion" content="' . get_option ( 'mdp_address_region' ) . '" />';
	} else {
		$error = 1;
	}

	/* zip code */
	if ( get_option ( 'mdp_postal_code' ) ) {
		$mdp_info .= '<meta itemprop="postalCode" content="' . get_option ( 'mdp_postal_code' ) . '" />';
	}

	/* county is USA */
	if ( get_option ( 'mdp_address_country' ) ) {
		$mdp_info .= '<meta itemprop="addressCountry" content="' . get_option ( 'mdp_address_country' ) . '" />';
	}

	/* email */
	if ( get_option ( 'mdp_email' ) ) {
		$mdp_info .= '<meta itemprop="email" content="' . get_option ( 'mdp_email' ) . '" />';
	}

	/* telephone */
	if ( get_option ( 'mdp_telephone' ) ) {
		$mdp_info .= '<meta itemprop="telephone" content="' . get_option ( 'mdp_telephone' ) . '" />';
	}

	/* fax */
	if ( get_option ( 'mdp_fax_number' ) ) {
		$mdp_info .= '<meta itemprop="faxNumber" content="' . get_option ( 'mdp_fax_number' ) . '" />';
	}


	$mdp_info .= '</span>';

	if ( $error == 0 ) {
		return $mdp_info;
	}

}


function AggregateRating ()
{

	$error    = 0;
	$mdp_info = "";

	$mdp_info .= '<span itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">';

	/* total value i.e 1-5 should be 5 */
	if ( get_option ( 'mdp_rating_value' ) ) {
		$mdp_info .= '<meta itemprop="ratingValue" content="' . get_option ( 'mdp_rating_value' ) . '" />';
	} else {
		$error = 1;
	}

	/* best rating */
	if ( get_option ( 'mdp_best_rating' ) ) {
		$mdp_info .= '<meta itemprop="bestRating" content="' . get_option ( 'mdp_best_rating' ) . '" />';
	} else {
		$error = 1;
	}

	/* lowest rating */
	if ( get_option ( 'mdp_worst_rating' ) ) {
		$mdp_info .= '<meta itemprop="worstRating" content="' . get_option ( 'mdp_worst_rating' ) . '" />';
	} else {
		$error = 1;
	}

	/* how many votes, count */
	if ( get_option ( 'mdp_rating_count' ) ) {
		$mdp_info .= '<meta itemprop="ratingCount" content="' . get_option ( 'mdp_rating_count' ) . '" />';
	} else {
		$error = 1;
	}

	$mdp_info .= '</span>';
	if ( $error == 0 ) {
		return $mdp_info;
	}

}


function seeks ()
{

	$mdp_info = "";

	if ( get_option ( 'mdp_seeks' ) ) {

		$mdp_info .= '<span itemprop="seeks" itemscope itemtype="http://schema.org/Demand">';

		$mdp_info .= '<a itemprop="url" href="http://sidcreations.com" class="visuallyhidden"><span itemprop="name">Seo</span></a>';

		$mdp_info .= '<meta itemprop="description" content="Sid Creations an seo, website design and website hosting company develops the latest html5, seo and mobile technology websites." />';

		$mdp_info .= '</span>';
	} else {
		$mdp_info .= '<span itemprop="seeks" itemscope itemtype="http://schema.org/Demand">';

		$mdp_info .= '<a itemprop="url" href="' . get_option ( 'mdp_seeks_url' ) . '" class="visuallyhidden"><span itemprop="name">' . get_option ( 'mdp_seeks_name' ) . '</span></a>';

		$mdp_info .= '<meta itemprop="description" content="' . get_option ( 'mdp_seeks_description' ) . '" />';

		$mdp_info .= '</span>';
	}

	return $mdp_info;

}


function member ()
{

	$mdp_info = "";

	if ( get_option ( 'mdp_member' ) ) {

		$mdp_info .= '<span itemprop="member" itemscope itemtype="http://schema.org/Organization">';

		$mdp_info .= '<a itemprop="url" href="http://microdataproject.org" class="visuallyhidden"><span itemprop="name">Local Business Seo</span></a>';

		$mdp_info .= '<meta itemprop="description" content="' . get_bloginfo ( "name" ) . ' is a member of the Microdata Project. The Microdata Project offers microdata, seo, and various plugins for WordPress websites." />';

		$mdp_info .= '</span>';


	} else {

		$mdp_info .= '<span itemprop="member" itemscope itemtype="http://schema.org/Organization">';

		$mdp_info .= '<a itemprop="url" href="' . get_option ( 'mdp_member_url' ) . '" class="visuallyhidden"><span itemprop="name">' . get_option ( 'mdp_member_name' ) . '</span></a>';

		$mdp_info .= '<meta itemprop="description" content="' . get_option ( 'mdp_member_description' ) . '" />';

		$mdp_info .= '</span>';

	}


	return $mdp_info;
}

function geoLocation ()
{

	$mdp_info = "";

	$mdp_info .= '<span itemprop="geo" itemscope itemtype="http://schema.org/GeoCoordinates">';

	$mdp_info .= '<meta itemprop="latitude" content="' . get_option ( 'mdp_latitude' ) . '" />';

	$mdp_info .= '<meta itemprop="longitude" content="' . get_option ( 'mdp_longitude' ) . '" />';

	$mdp_info .= '</span>';

	return $mdp_info;

}

function getEmployee ()
{

	$mdp_info = "";

	$employees = get_users ( 'role=' . get_option ( 'mdp_employee_role' ) . '&all_user_meta' );

	$mdp_info .= '<span itemprop="employees" itemscope itemtype="http://schema.org/Employees">';

	foreach ( $employees as $employee ) {

		if ( $employee->display_name ) {

			$employee_name = $employee->display_name;

		} else {

			$employee_name = $employee->user_nicename;
		}

		$mdp_info .= '<span itemprop="geo" itemscope itemtype="http://schema.org/Person">';


		$mdp_info .= '<a itemprop="url" href="http://microdataproject.org/author/' . $employee->user_login . '/" class="visuallyhidden"><span itemprop="name">' . $employee_name . '</span></a>';

		/* email */
		if ( $employee->user_email ) {
			$mdp_info .= '<meta itemprop="email" content="' . $employee->user_email . '" />';
		}

		if ( $employee->description ) {
			$mdp_info .= '<meta itemprop="description" content="' . $employee->description . '" />';
		}

		$mdp_info .= '</span>';
	}

	$mdp_info .= '</span>';

	return $mdp_info;

}


function getFounder ()
{

	$mdp_info = "";

	$founders = get_users ( 'role=' . get_option ( 'mdp_founder_role' ) . '&all_user_meta' );

	$mdp_info .= '<span itemprop="founders" itemscope itemtype="http://schema.org/Founders">';

	foreach ( $founders as $founder ) {

		if ( $founder->display_name ) {

			$founder_name = $founder->display_name;

		} else {

			$founder_name = $founder->user_nicename;
		}

		$mdp_info .= '<span itemprop="geo" itemscope itemtype="http://schema.org/Person">';


		$mdp_info .= '<a itemprop="url" href="http://microdataproject.org/author/' . $founder->user_login . '/" class="visuallyhidden"><span itemprop="name">' . $founder_name . '</span></a>';

		/* email */
		if ( $founder->user_email ) {
			$mdp_info .= '<meta itemprop="email" content="' . $founder->user_email . '" />';
		}

		if ( $founder->description ) {
			$mdp_info .= '<meta itemprop="description" content="' . $founder->description . '" />';
		}

		$mdp_info .= '</span>';
	}

	$mdp_info .= '</span>';

	return $mdp_info;

}


?>